%define	xfontdir	%{_datadir}/fonts
%define update_cache    /usr/bin/fc-cache
%define langlist	"bengali hindi gujarati tamil punjabi"

Name:		fonts-indic
Version:	1.10
Release:    2
License:	GPL
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source:		fonts-indic-%{version}.tar.gz

Summary: Free Indian truetype/opentype fonts
%description
This package provides the Hindi, Bengali, Gujarati, Punjabi, Tamil TrueType/Opentype fonts.


%package -n fonts-bengali
Summary: Free Bengali truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-bn
Requires:       fontconfig
%description -n fonts-bengali
These are the free Bengali truetype/opentype fonts. 

%package -n fonts-gujarati
Summary: Free Gujarati truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-gu
Requires:       fontconfig
%description -n fonts-gujarati
These are the free Gujarati truetype/opentype fonts. 

%package -n fonts-hindi
Summary: Free Hindi truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-hi
Requires:       fontconfig
%description -n fonts-hindi
These are the free Hindi truetype/opentype fonts. 

%package -n fonts-punjabi
Summary: Free Punjabi truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-pa
Requires:       fontconfig
%description -n fonts-punjabi
These are the free Punjabi truetype/opentype fonts. 

%package -n fonts-tamil
Summary: Free Tamil truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-ta
Requires:       fontconfig
%description -n fonts-tamil
These are the free Tamil truetype/opentype fonts. 


%prep
%setup

%build
echo "Nothing to do in Build."

%install
rm -rf $RPM_BUILD_ROOT

for i in "%{langlist}"
do
	install -d $RPM_BUILD_ROOT/%{xfontdir}/$i
	install -m 0644 $i/* $RPM_BUILD_ROOT/%{xfontdir}/$i
	# Ghost the fonts.cache-1 file
	touch $RPM_BUILD_ROOT/%{xfontdir}/$i/fonts.cache-1
done

%clean
rm -rf $RPM_BUILD_ROOT

%post -n fonts-bengali
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-gujarati
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-hindi
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-punjabi
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-tamil
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null


%postun -n fonts-bengali
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-gujarati
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-hindi
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-punjabi
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-tamil
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi


%files -n fonts-bengali
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/bengali
%doc COPYING
%ghost %{xfontdir}/bengali/fonts.cache-1
%{xfontdir}/bengali/*ttf

%files -n fonts-gujarati
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/gujarati
%doc COPYING
%ghost %{xfontdir}/gujarati/fonts.cache-1
%{xfontdir}/gujarati/*ttf

%files -n fonts-hindi
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/hindi
%doc COPYING
%ghost %{xfontdir}/hindi/fonts.cache-1
%{xfontdir}/hindi/*ttf

%files -n fonts-punjabi
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/punjabi
%doc COPYING
%ghost %{xfontdir}/punjabi/fonts.cache-1
%{xfontdir}/punjabi/*ttf

%files -n fonts-tamil
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/tamil
%doc COPYING
%ghost %{xfontdir}/tamil/fonts.cache-1
%{xfontdir}/tamil/*ttf


%changelog
* Tue May 17 2005 Leon Ho <llch@redhat.com> 1.10-2
- fix Requires: fontconfig (#151771)

* Mon May 16 2005 Leon Ho <llch@redhat.com> 1.10-1
- New punjabi fonts to fix RH#151630

* Thu Mar 17 2005 Leon Ho <llch@redhat.com> 1.9-2
- Renaming s/panjabi/punjabi/ to fit the name in glibc

* Wed Feb 23 2005 Leon Ho <llch@redhat.com> 1.9-1
- Moved to fonts-indic

* Fri Nov 26 2004 Leon Ho <llch@redhat.com> 1.8-1
- rescaled some of the fonts (ta, gu) (#139990)
- fixed some of the char composition (#138150)
- disabled specific ascii glyphs from all the fonts (#140895)

* Mon Nov 22 2004 Leon Ho <llch@redhat.com>
- Use the fc-cache with /usr/share/fonts instead of child directory

* Thu Nov  4 2004 Leon Ho <llch@redhat.com> 1.7-1
- updated with rescaled fonts (#137147, Jatin)
- repackaged into new sources with same filenames

* Tue Oct 19 2004 Leon Ho <llch@redhat.com>
- Updated the source with new names
- Updated with proper license info

* Thu Oct 14 2004 Leon Ho <llch@redhat.com>
- Updated the source. Five fonts are provided.
- Added COPYING for license

* Mon Oct 04 2004 Jatin Nansi <jnansi@redhat.com>
- added '-f' to fc-cache.
- changed the fc-cache command in the post* sections.
- Assign correct version nos.

* Mon Oct 04 2004 Leon Ho <llch@redhat.com>
- added /usr/share/fonts path to fc-cache cmd
- added minor version number

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com>
- review and cleanup
